#! /bin/sh

PTEST=$(/usr/bin/fw_printenv | grep 'ptest' | cut -d'=' -f2)
if [ "x$PTEST" = "x" ]
then
    echo "Not Starting MBus Export-Scheduler: Production-Tests not done."
    exit 0
fi


case "$1" in
  start)
    echo "Starting MBus Export-Scheduler: ExportSchedulerD"
    # Reseting the USB-Port
    echo "18" > /sys/class/gpio/export
    echo "out" > /sys/class/gpio/gpio18/direction
    echo 0 > /sys/class/gpio/gpio18/value
    sleep 2
    echo 1 > /sys/class/gpio/gpio18/value
    
    # Start the scheduler
    /usr/bin/run-exportschedulerd.sh &
    
    echo "done."
    ;;
  stop)
    echo "Stopping MBus Export-Scheduler: ExportSchedulerD"
    killall -TERM run-exportschedulerd.sh
    sleep 2
    killall -TERM ExportSchedulerD
    echo "18" > /sys/class/gpio/unexport
    echo "."
    ;;

  reload|force-reload)
    $0 stop
    sleep 2
    $0 start
    ;;

  restart)
    $0 stop
    sleep 2
    $0 start
    ;;

  *)
    echo "Usage: /etc/init.d/exportschedulerd.sh {start|stop|reload|force-reload|restart}"
    exit 1
esac

exit 0
