#! /bin/sh

PTEST=$(/usr/bin/fw_printenv | grep 'ptest' | cut -d'=' -f2)
if [ "x$PTEST" = "x" ]
then
    echo "Not Starting MBus Logging Daemon: Production-Tests not done."
    # if we got so far, reset the bootcounter
    fw_setenv bootcount 0
    exit 0
fi

case "$1" in
  start)
    echo "Starting MBus Logging Daemon: LoggerD"
    /usr/bin/run-loggerd.sh &
    
    # if we got so far, reset the bootcounter
    fw_setenv bootcount 0
    
    echo "done."
    ;;
  stop)
    echo "Stopping MBus Logging Daemon: LoggerD"
    killall -TERM run-loggerd.sh
    sleep 2
    killall -TERM LoggerD
    echo "."
    ;;

  reload|force-reload)
    $0 stop
    sleep 2
    $0 start
    ;;

  restart)
    $0 stop
    sleep 2
    $0 start
    ;;

  *)
    echo "Usage: /etc/init.d/loggerd.sh {start|stop|reload|force-reload|restart}"
    exit 1
esac

exit 0
