#!/bin/sh

CONF_DIR="/data/etc"

delete_export_files(){
    FILES_TO_DELETE=$(find /data  -maxdepth 1 -name "export_*.csv")
    FILES_TO_DELETE="${FILES_TO_DELETE} $(find /data  -maxdepth 1 -name "export_*.xml")"
    FILES_TO_DELETE="${FILES_TO_DELETE} $(find /data  -maxdepth 1 -name "export_*.xlsx")"
    if [ -n "$FILES_TO_DELETE" ]
    then
        rm -f $FILES_TO_DELETE
    fi	
}

set_language(){
    if [ -s  "${CONF_DIR}"/locale ]
        then
            LOGGER_LANG=$(cat "${CONF_DIR}"/locale)
        else
        LOGGER_LANG=en_GB.utf8
    fi
}

# used for Systemd services
if systemctl --version 1>/dev/null 2>/dev/null
then
    # create environment variable used in the service file.
    set_language
    delete_export_files
    LANG=${LOGGER_LANG} ExportSchedulerD --config=/etc/mbus/main.conf 1>/dev/null 2>/dev/null
    sleep  5
else
    # used for system V
    while true
    do
        set_language
        delete_export_files
        LANG=${LOGGER_LANG} ExportSchedulerD --config=/etc/mbus/main.conf 1>/dev/null 2>/dev/null
        sleep  5
    done
fi
