#!/bin/sh

while true
do
    LOGGER_LANG=en_GB.utf8

    if [ -f /data/etc/locale ]
    then
        LOGGER_LANG=$(cat /data/etc/locale)
    fi
    
    LANG=${LOGGER_LANG} LoggerUIApp --config=/etc/mbus/main.conf 1>/dev/null 2>/dev/null
    sleep  5

    if [ -f /data/etc/locale ]
    then
        NEW_LOGGER_LANG=$(cat /data/etc/locale)
    fi
    
    if [ "${NEW_LOGGER_LANG}" != "${LOGGER_LANG}" ]
    then
        if systemctl --version 1>/dev/null 2>/dev/null
        then
            # Restart the Webserver to apply language settings
            systemctl restart webserverd
            # Restart ExportschedulerD to apply language settings
            systemctl restart exportschedulerd
        else
            /etc/init.d/webserverd.sh   restart
            /etc/init.d/exportschedulerd.sh restart
        fi
    fi
done
