#!/bin/sh
CONF_DIR="/data/etc"

set_language(){
    if [ -s  "${CONF_DIR}"/locale ]
        then
            LOGGER_LANG=$(cat "${CONF_DIR}"/locale)
        else
        LOGGER_LANG=en_GB.utf8
    fi
    echo "${LOGGER_LANG}"
}

if systemctl --version 1>/dev/null 2>/dev/null
then
    # create environment variable used in the service file.
    set_language
    LANG=${LOGGER_LANG} WebServerD --config=/etc/mbus/main.conf --logconf=/etc/mbus/log.conf 1>/dev/null 2>/dev/null
    sleep 5
    NEW_LOGGER_LANG=$(set_language )

    if [ "${NEW_LOGGER_LANG}" != "${LOGGER_LANG}" ]
    then
        # Restart LoggerUI to apply language settings
        #systemctl restart xserver-nodm
        # Restart ExportschedulerD to apply language settings
        systemctl restart exportschedulerd
    fi

else
    # used for system V
    while true
    do
        set_language
        LANG=${LOGGER_LANG} WebServerD --config=/etc/mbus/main.conf --logconf=/etc/mbus/log.conf 1>/dev/null 2>/dev/null
        sleep  5
        
        NEW_LOGGER_LANG=$(set_language )
        if [ "${NEW_LOGGER_LANG}" != "${LOGGER_LANG}" ]
        then
            /etc/init.d/xserver-nodm restart
            /etc/init.d/exportschedulerd.sh restart
        fi
    done
fi