#!/bin/sh

# start_ntpdate_sync: used to synchronise the date time
# only if the file /data/etc/timeupdatemode include 
# AUTOMATIC, otherwise nothing will be done
#
if ! grep -q -s "AUTOMATIC" /data/etc/timeupdatemode; then
    echo "INFO: no time sync, because time update mode (/data/etc/timeupdatemode) not set to AUTOMATIC"
    exit 0
fi
# stop ntpd before start ntpdate
if ! /etc/init.d/ntpd stop ; then
    echo "WARN: ntp was not running or couldn't be stopped try to continue"
fi
#start ntpdate
if ! /usr/bin/ntpdate-sync silent ; then
    echo "ERROR: sync time failed, start ntpd"
else
    echo "INFO: sync time done successfully start ntpd"
fi
# start ntpd again
if /etc/init.d/ntpd start; then
    echo "INFO: ntpd started"
else
    echo "ERROR: ntpd couldn't be started"
    exit 1
fi

exit 0